ru.bitel.bgbilling.kernel.event.events

## Class ContractStatusChangedTopicEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.events.ContractStatusChangedTopicEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractStatusChangedTopicEvent
      extends Event

  Асинхронное событие - cтатус договора изменен.
  Вызывается после изменения статуса договора, в том числе, при смене статуса из web.
  Унаследован от `Event`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractStatusChangedTopicEvent()`
    `` | `ContractStatusChangedTopicEvent(ContractStatus status, int userId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractStatus` | `getStatus()` Возвращает установленный статус договора.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractStatusChangedTopicEvent

          protected ContractStatusChangedTopicEvent()

    - #### ContractStatusChangedTopicEvent

          public ContractStatusChangedTopicEvent(ContractStatus status,
                                                 int userId)

      Конструктор события.
      Parameters:
        `status` - - статус договора
        `userId` - - id пользователя, сгенерировавшего событие

  - ### Method Detail

    - #### getStatus

          public ContractStatus getStatus()

      Возвращает установленный статус договора.
      Returns:
        status - статус договора